POSTklay_getFilterChanges

Returns filter results by filter ID. Enter the filter ID generated by klay_newFilter, klay_newBlockFilter, or klay_newPendingTransactionFilter.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

Enter the following parameters as an array with the appropriate types.

  1. filter ID: Enter the previously created filter ID.
params[0]string

Filter ID is a unique identifier returned when creating a filter. It is expressed as a hexadecimal string.

Responses
addressstring

The address of the contract that emitted this log

topicsstring[]

Array of event signature hash and indexed parameters (up to 4 entries)

datastring

Non-indexed event parameter data (hex encoded)

blockNumberstring

Block number containing this log (hex)

transactionHashstring

Hash of the transaction that created this log

transactionIndexstring

Transaction position index within the block (hex)

blockHashstring

Hash of the block containing this log

logIndexstring

Log position index within the block (hex)

removedboolean

True if the log was removed due to a chain reorganization

X-API-KEY
RequestCU18
cURL
curl -X POST "https://kaia-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "klay_getFilterChanges",
  "params": [
    "0xaf35d60b70eb3b54018456a0d365ea49"
  ]
}'
Response
Example · 200
[
  {
    "address": "string",
    "topics": [
      "string"
    ],
    "data": "string",
    "blockNumber": "string",
    "transactionHash": "string",
    "transactionIndex": "string",
    "blockHash": "string",
    "logIndex": "string",
    "removed": true
  }
]